<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>练习1：动态展示列表数据</title>
</head>
<body>

<div id="test1"></div>

<script src="JS/react.development.js"></script>
<script src="JS/react-dom.development.js"></script>
<script src="JS/babel.min.js"></script>

<script type="text/babel">

    //如何将一个数据的数组转换为一个标签的数组？
    //1、定义初始化数组
    const names=['Jquery','zeptoo','angular','react','vue']

    //2、创建虚拟 Dom
    /*当有嵌套标签结构时使用 () */
    /*箭头函数：=> */
    /*数组函数 map ：当数组调用该函数时，数组内的每一个元素都会调用 map函数形参内的函数体。*/
    const ul=(
        <ul >
            {
                names.map((name)=>{return <li key={name}>{name}</li>} )
            }
        </ul>
    );

    //3、渲染 Dom
    ReactDOM.render(ul,document.getElementById('test1'));

</script>
</body>
</html>